<userSceneConfig>
	<!-- 上下行带宽门限用于等级累加计算，配置每个等级的默认诉求，以及每个等级的门限，当累加诉求大于高级的门限则实现等级上调-->
	<featureParam
		ulBandWidthThreshold="0,500,1500,5000,20000,64000"
		dlBandWidthThreshold="0,1000,2000,5000,20000,64000"/>
	<voipScene>
		<sceneParam sceneSwitch="1">
			<priorityParam
				forePriority="1"
				backgroundPriority="1"/>
			<netReqParam
				ulBandwidthLevel="2"
				dlBandwidthLevel="1"
				delayLevel="3"
				dropPktLevel="1"/>
		</sceneParam>
		<!-- voip场景判断依赖于通话会话的建立，不依赖于apk配置，即，非apkconfig配置的应用满足条件也会进入音视频场景
		 	 apk配置后会使子场景识别更为准确，用于区分会议场景，和减少扫一扫等额外使用摄像头场景的误判
		 	 meetingAct,additionalCameraAct储存为list，可以用逗号分割","-->
		<apkconfig
			packageName="com.tencent.mm"
			meetingAct="com.tencent.mm.plugin.multitalk.ui.MultiTalkMainUI"
			additionalCameraAct="com.tencent.mm.plugin.scanner.ui.BaseScanUI">
		</apkconfig>
		<apkconfig packageName="com.alibaba.android.rimet"/>
		<apkconfig packageName="com.tencent.mobileqq"/>
	</voipScene>

	<gameScene>
		<!-- 游戏协议类型 1~TCP, 2~UDP, 3~MIX -->
		<sceneParam sceneSwitch="1">
			<priorityParam
				forePriority="1"
				backgroundPriority="10"/>
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="3"
				dropPktLevel="1"/>
		</sceneParam>
		<!-- 游戏场景由gameKit识别和包名识别两方面构成
			 非kit游戏，必须要在该列表中配置apkconfig，才能认为进入游戏场景
			 gamekit游戏，无需额外配置，通过接受kit消息判断游戏场景-->
		<apkconfig
			packageName="com.tencent.tmgp.pubgmhd"
			isContainInGameKit="1"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.tencent.tmgp.speedmobile"
			isContainInGameKit="1"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.tencent.tmgp.sgame"
			isContainInGameKit="1"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.tencent.tmgp.cf"
			isContainInGameKit="1"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.netease.hyxd"
			isContainInGameKit="0"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.tencent.tmgp.jxqy"
			isContainInGameKit="1"
			protocolType="1">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="3"
				dropPktLevel="3"/>
		</apkconfig>
		<apkconfig
			packageName="com.tencent.tmgp.cod"
			isContainInGameKit="1"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.tencent.tmgp.dnf"
			isContainInGameKit="1"
			protocolType="1">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="3"
				dropPktLevel="3"/>
		</apkconfig>
		<apkconfig
			packageName="com.netease.lztg*"
			isContainInGameKit="0"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.tencent.af"
			isContainInGameKit="1"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.tencent.KiHan"
			isContainInGameKit="1"
			protocolType="1">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="3"
				dropPktLevel="3"/>
		</apkconfig>
		<apkconfig
			packageName="com.tencent.lolm"
			isContainInGameKit="1"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.tencent.jkchess"
			isContainInGameKit="1"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.tencent.tmgp.WePop"
			isContainInGameKit="1"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.netease.g67*"
			isContainInGameKit="0"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.tencent.tmgp.g67"
			isContainInGameKit="1"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.netease.pes.*"
			isContainInGameKit="0"
			protocolType="2">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="4"
				dropPktLevel="1"/>
		</apkconfig>
		<apkconfig
			packageName="com.netease.party.*"
			isContainInGameKit="0"
			protocolType="1">
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="3"
				dropPktLevel="3"/>
		</apkconfig>
	</gameScene>
	<liveScene>
		<sceneParam sceneSwitch="1">
			<priorityParam
				forePriority="1"
				backgroundPriority="4"/>
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="3"
				delayLevel="2"
				dropPktLevel="3"/>
		</sceneParam>
		<!-- 直播场景识别涉及activity，故需要在下面apkconfig配置才会识别为直播场景-->
		<sceneWhiteList>
			<apkconfig
				packageName="com.duowan.kiwi"
				activityName="com.duowan.kiwi.liveroom.ChannelPage"/>
			<apkconfig
				packageName="air.tv.douyu.android"
				activityName="tv.douyu.view.activity.PlayerActivity"/>
			<apkconfig
				packageName="air.tv.douyu.android"
				activityName="com.douyu.module.player.p.rambobase.RamboPlayerActivity"/>
			<apkconfig
				packageName="tv.danmaku.bili"
				activityName="com.bilibili.bililive.room.ui.roomv3.LiveRoomActivityV3"/>
			<apkconfig
				packageName="com.ss.android.ugc.aweme"
				activityName="com.ss.android.ugc.aweme.live.LivePlayActivity"/>
			<apkconfig
				packageName="com.smile.gifmaker"
				activityName="com.kuaishou.live.core.basic.activity.LiveSlideActivity"/>
			<apkconfig
				packageName="com.tencent.qqlive"
				activityName="com.tencent.vlive.VLiveActivity"/>
			<apkconfig
				packageName="com.youku.phone"
				activityName="com.youku.live.YKLiveActivity"/>
			<apkconfig
				packageName="com.qiyi.video"
				activityName="org.qiyi.pluginlibrary.component.InstrActivityProxy*"/>
			<apkconfig
				packageName="com.hunantv.imgo.activity"
				activityName="com.mgtv.erlang.ErlangLiveActivity"/>
			<apkconfig
				packageName="com.ss.android.article.news"
				activityName="com.bytedance.android.openlive.plugin.LivePlayerActivity"/>
			<apkconfig
				packageName="com.ss.android.article.news"
				activityName="com.bytedance.android.live_ecommerce.livelite.LiveLiteActivity"/>
			<apkconfig
				packageName="com.tencent.mm"
				activityName="com.tencent.mm.plugin.finder.feed.ui.FinderLiveVisitor*"/>
		</sceneWhiteList>
	</liveScene>
	<shortVideoScene>
		<sceneParam sceneSwitch="1">
			<priorityParam
				forePriority="2"
				backgroundPriority="5"/>
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="2"
				delayLevel="1"
				dropPktLevel="3"/>
		</sceneParam>
		<sceneWhiteList>
			<apkconfig
				packageName="tv.danmaku.bili"
				activityName="com.bilibili.video.story.StoryVideoActivity"/>
			<apkconfig
				packageName="com.ss.android.ugc.aweme"
				activityName="com.ss.android.ugc.aweme.splash.SplashActivity"/>
			<apkconfig
				packageName="com.smile.gifmaker"
				activityName="com.yxcorp.gifshow.HomeActivity"/>
			<apkconfig
				packageName="com.youku.phone"
				activityName="com.youku.hotspot.activity.HotSpotActivity"/>
			<apkconfig
				packageName="com.hunantv.imgo.activity"
				activityName="com.mgtv.ui.cornucopia.CornucopiaActivity"/>
			<apkconfig
				packageName="com.tencent.mm"
				activityName="com.tencent.mm.plugin.finder.ui.FinderHomeAffinityUI"/>
		</sceneWhiteList>
	</shortVideoScene>
	<musicScene>
		<sceneParam sceneSwitch="1">
			<priorityParam
				forePriority="4"
				backgroundPriority="5"/>
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="2"
				delayLevel="1"
				dropPktLevel="3"/>
		</sceneParam>
		<sceneWhiteList>
			<apkconfig packageName="com.tencent.qqmusic"/>
			<apkconfig packageName="com.kugou.android"/>
			<apkconfig packageName="cn.kuwo.player"/>
			<apkconfig packageName="cmccwm.mobilemusic"/>
			<apkconfig packageName="com.netease.cloudmusic"/>
			<apkconfig packageName="com.hihonor.cloudmusic"/>
		</sceneWhiteList>
	</musicScene>
	<videoScene>
		<sceneParam sceneSwitch="1">
			<priorityParam
				forePriority="4"
				backgroundPriority="5"/>
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="2"
				delayLevel="1"
				dropPktLevel="3"/>
		</sceneParam>
		<sceneBlackList>
			<apkconfig
				packageName="com.hihonor.photos"/>
		</sceneBlackList>
	</videoScene>
	<scanScene>
		<sceneParam sceneSwitch="1">
			<priorityParam
				forePriority="1"
				backgroundPriority="1"/>
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="3"
				delayLevel="3"
				dropPktLevel="3"/>
		</sceneParam>
		<sceneWhiteList>
			<apkconfig
				packageName="com.tencent.mm"
				activityName="com.tencent.mm.plugin.scanner.ui.BaseScanUI"/>
			<apkconfig
				packageName="com.tencent.mobileqq"
				activityName="com.tencent.mobileqq.olympic.activity.ScanTorchActivity"/>
			<apkconfig
				packageName="com.eg.android.AlipayGphone"
				activityName="com.alipay.mobile.scan.as.main.MainCaptureActivity"/>
		</sceneWhiteList>
	</scanScene>
	<loadScene>
		<sceneParam sceneSwitch="1">
			<priorityParam
				forePriority="4"
				backgroundPriority="6"/>
			<netReqParam
				ulBandwidthLevel="4"
				dlBandwidthLevel="4"
				delayLevel="2"
				dropPktLevel="3"/>
		</sceneParam>
		<sceneWhiteList>
			<apkconfig packageName="com.baidu.netdisk"/>
			<apkconfig packageName="com.xunlei.downloadprovider"/>
			<apkconfig packageName="com.hihonor.appmarket"/>
			<apkconfig packageName="com.hihonor.hncloud"/>
		</sceneWhiteList>
	</loadScene>
	<speedTestScene>
		<sceneParam sceneSwitch="1">
			<priorityParam
				forePriority="1"
				backgroundPriority="6"/>
			<netReqParam
				ulBandwidthLevel="5"
				dlBandwidthLevel="5"
				delayLevel="2"
				dropPktLevel="3"/>
		</sceneParam>
		<sceneWhiteList>
			<apkconfig packageName="com.syezon.lab.networkspeed"/>
			<apkconfig packageName="com.speed.networkwork"/>
			<apkconfig packageName="com.speed.master"/>
			<apkconfig packageName="com.speedometer.networkwork"/>
			<apkconfig packageName="com.mxm.networkspeed"/>
			<apkconfig packageName="com.shere.easynetworkspeedmeter"/>
			<apkconfig packageName="com.quickbird.speedtestmaster"/>
			<apkconfig packageName="org.zwanoo.android.speedtest"/>
			<apkconfig packageName="com.network.test"/>
			<apkconfig packageName="com.uusense.speed"/>
			<apkconfig packageName="make.more.r2d2.cellular_z"/>
			<apkconfig packageName="com.ztstech.android.znet"/>
			<apkconfig packageName="com.ludashi.benchmark"/>
			<apkconfig packageName="com.antutu.ABenchMark MD5"/>
			<apkconfig packageName="cn.nokia.speedtest5g"/>
			<apkconfig packageName="cn.chinabda.netmaster"/>
			<apkconfig packageName="com.everydaytools.autospeedometerspeedtrack"/>
			<apkconfig packageName="cn.lezhi.speedtest"/>
		</sceneWhiteList>
	</speedTestScene>
	<commonScene>
		<!-- 普通浏览类场景默认生效 该场景sceneSwitch没有影响 -->
		<sceneParam sceneSwitch="1">
			<priorityParam
				forePriority="4"
				backgroundPriority="10"/>
			<netReqParam
				ulBandwidthLevel="1"
				dlBandwidthLevel="1"
				delayLevel="1"
				dropPktLevel="3"/>
		</sceneParam>
		<sceneBlackList>
			<apkconfig packageName="com.hihonor.android.launcher"/>
			<apkconfig packageName="com.android.providers.media.module"/>
			<apkconfig packageName="com.hihonor.hnstartupguide"/>
			<apkconfig packageName="com.android.phone"/>
			<apkconfig packageName="com.android.permissioncontroller"/>
		</sceneBlackList>
	</commonScene>
</userSceneConfig>